<script lang="ts">
	import missingNoImg from '$lib/assets/Missingno_image.webp';
	import { Avatar } from '@skeletonlabs/skeleton';

	export let pokemon;
</script>

<section class="card p-5">
	<section class="card-header space-y-2">
		<h1 class="text-4xl flex items-center justify-start font-bold capitalize">
			{pokemon.name}
		</h1>
		<section class="flex items-center justify-end space-x-5">
			<Avatar src={pokemon.frontSpriteUrl || ''} fallback={missingNoImg} />
			<Avatar src={pokemon.backSpriteUrl || ''} fallback={missingNoImg} />
			<Avatar src={pokemon.frontShinyUrl || ''} fallback={missingNoImg} />
			<Avatar src={pokemon.backShinyUrl || ''} fallback={missingNoImg} />
		</section>
	</section>
	<hr class="!border-t-4 my-2" />

	<section></section>

	<section class="card-footer">...</section>
</section>
